<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:47:43 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>VSLUiModule (org.eclipse.papyrus.marte.vsl.ui 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VSLUiModule (org.eclipse.papyrus.marte.vsl.ui 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VSLUiModule.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/VSLExecutableExtensionFactory.html" title="class in org.eclipse.papyrus.marte.vsl.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/marte/vsl/ui/VSLUiModule.html" target="_top">Frames</a></li>
<li><a href="VSLUiModule.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.marte.vsl.ui</div>
<h2 title="Class VSLUiModule" class="title">Class VSLUiModule</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.xtext.service.AbstractGenericModule</li>
<li>
<ul class="inheritance">
<li>org.eclipse.xtext.ui.DefaultUiModule</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html" title="class in org.eclipse.papyrus.marte.vsl.ui">org.eclipse.papyrus.marte.vsl.ui.AbstractVSLUiModule</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.marte.vsl.ui.VSLUiModule</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.google.inject.Module</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">VSLUiModule</span>
extends <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html" title="class in org.eclipse.papyrus.marte.vsl.ui">AbstractVSLUiModule</a></pre>
<div class="block">Use this class to register components to be used within the IDE.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/VSLUiModule.html#VSLUiModule-org.eclipse.ui.plugin.AbstractUIPlugin-">VSLUiModule</a></span>(org.eclipse.ui.plugin.AbstractUIPlugin&nbsp;plugin)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.jface.text.contentassist.IContentAssistProcessor&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/VSLUiModule.html#bindIContentAssistProcessor--">bindIContentAssistProcessor</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.marte.vsl.ui.AbstractVSLUiModule">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.marte.vsl.ui.<a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html" title="class in org.eclipse.papyrus.marte.vsl.ui">AbstractVSLUiModule</a></h3>
<code><a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#bindContentAssistContext:DFactory--">bindContentAssistContext$Factory</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#bindIContentAssistParser--">bindIContentAssistParser</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#bindIContentProposalProvider--">bindIContentProposalProvider</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#bindIDependentElementsCalculator--">bindIDependentElementsCalculator</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#bindILabelProvider--">bindILabelProvider</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#bindIOutlineTreeProvider--">bindIOutlineTreeProvider</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#bindIOutlineTreeStructureProvider--">bindIOutlineTreeStructureProvider</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#bindIProposalConflictHelper--">bindIProposalConflictHelper</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#bindIssueResolutionProvider--">bindIssueResolutionProvider</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#configureContentAssistLexer-com.google.inject.Binder-">configureContentAssistLexer</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#configureContentAssistLexerProvider-com.google.inject.Binder-">configureContentAssistLexerProvider</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#configureHighlightingLexer-com.google.inject.Binder-">configureHighlightingLexer</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#configureHighlightingTokenDefProvider-com.google.inject.Binder-">configureHighlightingTokenDefProvider</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#configureResourceUIServiceLabelProvider-com.google.inject.Binder-">configureResourceUIServiceLabelProvider</a>, <a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/AbstractVSLUiModule.html#provideIAllContainersState--">provideIAllContainersState</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.xtext.ui.DefaultUiModule">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.xtext.ui.DefaultUiModule</h3>
<code>bindAbstractEditStrategyProvider, bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindCopyQualifiedNameService, bindIAllContainersState$Provider, bindIAnnotationHover, bindIBracePairProvider, bindICharacterPairMatcher, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentFormatterFactory, bindIContentOutlinePage, bindIDocumentPartitioner, bindIEObjectHover, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageDescriptorHelper, bindIImageHelper, bindIIndentationInformation, bindIPartitionTokenScanner, bindIPreferenceStore, bindIPreferenceValuesProvider, bindIPresentationDamager, bindIPresentationRepairer, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindIShouldGenerate, bindISingleLineCommentHelper, bindITemplateProposalProvider, bindITextHover, bindITokenScanner, bindIWhitespaceInformationProvider, bindMarkerContributor, bindMarkerTypeProvider, bindOutlineFilterAndSorter$IComparator, bindProjectConfigProvider, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureIOutlineContribution$Composite, configureIQuickOutlineContribution$Composite, configureIResourceDescriptionsLiveScope, configureIssueCodesPreferenceInitializer, configureLanguageSpecificURIEditorOpener, configureMarkOccurrencesAction, configureSmartCaretPreferenceInitializer, configureToggleLinkWithEditorOutlineContribution, configureToggleSortingOutlineContribution, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.xtext.service.AbstractGenericModule">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.xtext.service.AbstractGenericModule</h3>
<code>bindProperties, getBindings, tryBindProperties</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="VSLUiModule-org.eclipse.ui.plugin.AbstractUIPlugin-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VSLUiModule</h4>
<pre>public&nbsp;VSLUiModule(org.eclipse.ui.plugin.AbstractUIPlugin&nbsp;plugin)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="bindIContentAssistProcessor--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>bindIContentAssistProcessor</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.jface.text.contentassist.IContentAssistProcessor&gt;&nbsp;bindIContentAssistProcessor()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>bindIContentAssistProcessor</code>&nbsp;in class&nbsp;<code>org.eclipse.xtext.ui.DefaultUiModule</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VSLUiModule.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/marte/vsl/ui/VSLExecutableExtensionFactory.html" title="class in org.eclipse.papyrus.marte.vsl.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/marte/vsl/ui/VSLUiModule.html" target="_top">Frames</a></li>
<li><a href="VSLUiModule.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
